Package com.github.lgooddatepicker.zinternaltools

# Class DateTimeChangeEvent

java.lang.Object
com.github.lgooddatepicker.zinternaltools.DateTimeChangeEvent

public class DateTimeChangeEvent extends Object
DateTimeChangeEvent, An instance of this event class is passed to each registered DateTimeChangeListener, whenever the date or the time in a DateTimePicker has changed. Note that this class will always contain either one dateChangeEvent, or one timeChangeEvent, but never both events at the same time.

## Constructor Summary

Constructors
Constructor
Description
`DateTimeChangeEvent(DateTimePicker source, DatePicker datePicker, TimePicker timePicker, DateChangeEvent dateChangeEvent, TimeChangeEvent timeChangeEvent)`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`DateChangeEvent`
`getDateChangeEvent()`
getDateChangeEvent, If the date changed, then this returns the date change event.
`DatePicker`
`getDatePicker()`
getDatePicker, Returns a reference to the date picker component of the DateTimePicker.
`LocalDateTime`
`getNewDateTimePermissive()`
getNewDateTimePermissive, This returns the new LocalDateTime value from the DateTimePicker, as it would be reported by getSource().getDateTimePermissive().
`LocalDateTime`
`getNewDateTimeStrict()`
getNewDateTimeStrict, This returns the new LocalDateTime value from the DateTimePicker, as it would be reported by getSource().getDateTimeStrict().
`LocalDateTime`
`getOldDateTimePermissive()`
getOldDateTimePermissive, This returns the old LocalDateTime value from the DateTimePicker, as it would have been reported by getSource().getDateTimePermissive(), before this change event occurred.
`LocalDateTime`
`getOldDateTimeStrict()`
getOldDateTimeStrict, This returns the old LocalDateTime value from the DateTimePicker, as it would have been reported by getSource().getDateTimeStrict(), before this change event occurred.
`DateTimePicker`
`getSource()`
getSource, Returns the DateTimePicker that generated the event.
`TimeChangeEvent`
`getTimeChangeEvent()`
getTimeChangeEvent, If the time changed, then this returns the time change event.
`TimePicker`
`getTimePicker()`
getTimePicker, Returns a reference to the time picker component of the DateTimePicker.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### DateTimeChangeEvent

public DateTimeChangeEvent(DateTimePicker source, DatePicker datePicker, TimePicker timePicker, DateChangeEvent dateChangeEvent, TimeChangeEvent timeChangeEvent)
Constructor.

## Method Details

### getSource

public DateTimePicker getSource()
getSource, Returns the DateTimePicker that generated the event.

### getDatePicker

public DatePicker getDatePicker()
getDatePicker, Returns a reference to the date picker component of the DateTimePicker.

### getTimePicker

public TimePicker getTimePicker()
getTimePicker, Returns a reference to the time picker component of the DateTimePicker.

### getDateChangeEvent

public DateChangeEvent getDateChangeEvent()
getDateChangeEvent, If the date changed, then this returns the date change event. Otherwise this returns null.

### getTimeChangeEvent

public TimeChangeEvent getTimeChangeEvent()
getTimeChangeEvent, If the time changed, then this returns the time change event. Otherwise this returns null.

### getNewDateTimeStrict

public LocalDateTime getNewDateTimeStrict()
getNewDateTimeStrict, This returns the new LocalDateTime value from the DateTimePicker, as it would be reported by getSource().getDateTimeStrict(). For additional details, see DateTimePicker.getDateTimeStrict().

### getNewDateTimePermissive

public LocalDateTime getNewDateTimePermissive()
getNewDateTimePermissive, This returns the new LocalDateTime value from the DateTimePicker, as it would be reported by getSource().getDateTimePermissive(). For additional details, see DateTimePicker.getDateTimePermissive().

### getOldDateTimeStrict

public LocalDateTime getOldDateTimeStrict()
getOldDateTimeStrict, This returns the old LocalDateTime value from the DateTimePicker, as it would have been reported by getSource().getDateTimeStrict(), before this change event occurred. For additional details, see DateTimePicker.getDateTimeStrict().

### getOldDateTimePermissive

public LocalDateTime getOldDateTimePermissive()
getOldDateTimePermissive, This returns the old LocalDateTime value from the DateTimePicker, as it would have been reported by getSource().getDateTimePermissive(), before this change event occurred. For additional details, see DateTimePicker.getDateTimePermissive().